package com.zswl.cloud.springBatch.client.service;

import com.github.microservice.auth.client.content.ResultContent;
import com.zhongshu.payment.client.model.payment.CreateResponseModel;
import com.zhongshu.payment.client.model.payment.zswl.CreatePaymentModel2;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "springbatchservice/manager/pay")
public interface PaymentService {



    @ApiOperation("创建订单")
    @RequestMapping(value = "creatPayOrder", method = RequestMethod.POST, consumes = {MediaType.ALL_VALUE})
    ResultContent<CreateResponseModel> creatPayOrder(CreatePaymentModel2 createPaymentModel2);
}
